unit AboutDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,DsgnIntf;
type
  TAboutDlg = class(TComponent)
  private
   FProductName : AnsiString;
   FCopyRight   : AnsiString;
   FTitle       : AnsiString;
   FProgrammer  : AnsiString;
   FWebSite     : AnsiString;
   FIcon        : TIcon;
   procedure SetIcon(Value : TIcon);
  public
   constructor Create(AOwner : TComponent);override;
   destructor Destroy;override;
   procedure Execute;
  published
   property Title       : AnsiString     read FTitle       write FTitle;
   property ProductName : AnsiString     read FProductName write FProductName;
   property CopyRight   : AnsiString     read FCopyRight   write FCopyRight;
   property Programmer  : AnsiString     read FProgrammer  write FProgrammer;
   property WebSite     : AnsiString     read FWebSite     write FWebsite;
   property Icon        : TIcon          read FIcon        write SetIcon;
  end;
procedure Register;
implementation
{$R *.Res}
uses AboutForm;
procedure TAboutDlg.SetIcon(Value : TIcon);
begin
     FIcon.Assign(Value);
end;
constructor TAboutDlg.Create(AOwner : TComponent);
begin
     inherited Create(AOwner);
     FIcon := TIcon.Create;
end;
destructor TAboutDlg.Destroy;
begin
     FIcon.Free;
     inherited Destroy;
end;
procedure TAboutDlg.Execute;
var Temp : TAboutBox;
begin
     Temp := TAboutBox.Create(Application);
     try
      Temp.Caption := FTitle;
      Temp.ProductName.Caption := FProductName;
      Temp.Copyright.Caption   := FCopyRight;
      Temp.Programmer.Caption  := FProgrammer;
      Temp.WebSite.Caption     := FWebSite;
      Temp.Image1.Picture.Icon := FIcon;
      Temp.ShowModal;
     finally
      Temp.Free;
     end;
end;
procedure Register;
begin
  RegisterComponents('Dialogs', [TAboutDlg]);
end;
end.
